LINUX.ORG.RU

Сборка Mutter, autoconf-2.62

 , , ,


0

0

Привет! Нужно собрать mutter. Система Antergos Gnome 64-bit.
В ответ на ./configure.ac появляется сообщение

./configure.ac: line 1: syntax error near unexpected token `2.62'
./configure.ac: line 1: `AC_PREREQ(2.62)'
Установлен autoconf-2.69-2, в community 2.64.

Что можно сделать?

Deleted

configure.ac - это файл, из которого программа autoconf генерирует скрипт configure. Там в коробке должен быть скрипт autogen.sh, запусти его сначала.

hateyoufeel ★★★★★ ()
Ответ на: комментарий от hateyoufeel

Запустил

/usr/bin/gnome-autogen.sh
checking for automake >= 1.11...
  testing automake... Unescaped left brace in regex is deprecated, 
passed through in regex; marked by <-- HERE in m/\${ <-- HERE ([^ \t=:+{}]+)}/ at 
/usr/bin/automake line 3936.
found 1.15
checking for autoreconf >= 2.53...
  testing autoreconf... found 2.69
checking for intltool >= 0.25...
  testing intltoolize... found 0.51.0
checking for pkg-config >= 0.14.0...
  testing pkg-config... found 0.29
Checking for required M4 macros...
**Warning**: I am going to run `configure' with no arguments.
If you wish to pass any to it, please specify them on the
`./autogen.sh' command line.

Processing ./configure.ac
Running intltoolize...
Running autoreconf...
autoreconf: Entering directory `.'
autoreconf: configure.ac: not using Gettext
autoreconf: running: aclocal --force --warnings=no-portability -I m4 ${ACLOCAL_FLAGS}
autoreconf: configure.ac: tracing
autoreconf: running: libtoolize --copy --force
libtoolize: putting auxiliary files in AC_CONFIG_AUX_DIR, 'build-aux'.
libtoolize: copying file 'build-aux/ltmain.sh'
libtoolize: putting macros in AC_CONFIG_MACRO_DIRS, 'm4'.
libtoolize: copying file 'm4/libtool.m4'
libtoolize: copying file 'm4/ltoptions.m4'
libtoolize: copying file 'm4/ltsugar.m4'
libtoolize: copying file 'm4/ltversion.m4'
libtoolize: copying file 'm4/lt~obsolete.m4'
autoreconf: running: /usr/bin/autoconf --force --warnings=no-portability
autoreconf: running: /usr/bin/autoheader --force --warnings=no-portability
autoreconf: running: automake --add-missing --copy --force-missing --warnings=no-portability
Unescaped left brace in regex is deprecated, 
passed through in regex; 
marked by <-- HERE in m/\${ <-- HERE ([^ \t=:+{}]+)}/ at /usr/bin/automake line 3936.
configure.ac:44: installing 'build-aux/compile'
configure.ac:20: installing 'build-aux/missing'
src/Makefile.am:377: error: HAVE_INTROSPECTION does not appear in AM_CONDITIONAL
src/Makefile.am: installing 'build-aux/depcomp'
autoreconf: automake failed with exit status: 1
Запускал еще ночью, тогда скрипт не нашел что-то из m4, плюс выдал
предепреждение, что autoconf-2.69, вероятно, будет работать, но без всяких гарантий.
Потом пробовал удалить версию 2.69, поставил 2.64. С первой улетела куча зависимостей, разумеется, сборка перестала работать.
Поставил снова удаленные пакеты, уже от gnome-common, сообщение ./autogen.sh выше.

Deleted ()
Ответ на: комментарий от hateyoufeel

Поискал по ошибке, поставил gobject-introspection. Заработало!

Deleted ()
Ответ на: комментарий от hateyoufeel

В общем, большое спасибо за ответ!
Все получилось!

./autogen.sh

make

make install
Deleted ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.